from gpiozero import LED, DistanceSensor
from time import sleep

led = LED(17)  # GPIO17番ピンをLEDに使用
sensor = DistanceSensor(23, 24, max_distance=5)  # GPIO23番ピンをechoに、GPIO24番ピンをtrigに使用

while True:
    if sensor.distance < 1:  # 1mより近くに物があれば
        if not led.is_lit:
            led.on()  # LEDが消灯していれば点灯
    else:  # 近くに物がなければ
        if led.is_lit:
            led.off()  # LEDが点灯していれば消灯
    sleep(1)  # 1秒間処理を停止
