from gpiozero import LED, DistanceSensor
from signal import pause

led = LED(17)
sensor = DistanceSensor(23, 24, threshold_distance=1, max_distance=5)  # 境界は1m

sensor.when_in_range = led.on  # 境界より内側ならLEDを点灯
sensor.when_out_of_range = led.off  # 境界より外側ならLEDを消灯

pause()
